DaemonForums  

Go Back   DaemonForums > OpenBSD > OpenBSD Packages and Ports

OpenBSD Packages and Ports Installation and upgrading of packages and ports on OpenBSD.

 
 
Thread Tools Display Modes
Prev Previous Post   Next Post Next
  #1   (View Single Post)  
Old 31st July 2012
barti barti is offline
Shell Scout
 
Join Date: Jul 2012
Posts: 122
Thanked 0 Times in 0 Posts
Default drupal install does not work

I'm trying to install drupal , just to see if it is working and to check the backups the from Linux centos machine .
Code:
# pkg_add -r drupal

drupal-6.24:libxml-2.7.8p4: ok
drupal-6.24:femail-0.98: ok
drupal-6.24:femail-chroot-0.98: ok
drupal-6.24hp-5.3.10: ok
drupal-6.24:t1lib-5.1.2: ok
drupal-6.24ng-1.5.6p0: ok
drupal-6.24:jpeg-8c: ok
Can't install php-gd-5.3.10 because of libraries
|library X11.15.0 not found
| not found anywhere
|library Xpm.8.0 not found
| not found anywhere
|library freetype.18.1 not found
| not found anywhere
Direct dependencies for php-gd-5.3.10 resolve to php-5.3.10 png-1.5.6p0 t1lib-5.1.2 jpeg-8c
Full dependency tree is femail-chroot-0.98 libiconv-1.14 t1lib-5.1.2 gettext-0.18.1p1 jpeg-8c femail-0.98 php-5.3.10 png-1.5.6p0 libxml-2.7.8p4
drupal-6.24:mysql-client-5.1.60p0: ok
drupal-6.24hp-mysql-5.3.10: ok
Can't install drupal-6.24: can't resolve php-gd-5.3.10
--- +femail-chroot-0.98 -------------------
By default, femail will use `localhost' for smtphost. Make sure to
review FAQ Section 10.16 discussing name resolution with httpd(8)'s
default chroot(2).

Additionally, one may create a custom femail.conf; see femail(8).

If you're using femail with PHP inside a chroot jail, be aware that
PHP's built-in "mail" function uses popen(), which requires /bin/sh.
--- +php-5.3.10 -------------------
To enable the php-5.3 module please create a symbolic
link from /var/www/conf/modules.sample/php-5.3.conf
to /var/www/conf/modules/php.conf.

ln -s /var/www/conf/modules.sample/php-5.3.conf \
/var/www/conf/modules/php.conf

The recommended php configuration has been installed
to /etc/php-5.3.ini.
--- +php-mysql-5.3.10 -------------------
You can enable this module by creating a symbolic
link from /etc/php-5.3.sample/mysql.ini to
/etc/php-5.3/mysql.ini.

ln -fs /etc/php-5.3.sample/mysql.ini \
/etc/php-5.3/mysql.ini
# pkg_add -r php-gd
Ambiguous: php-gd could be php-gd-5.3.10 php-gd-5.2.17p6
# pkg_add -r php-gd-5.3.10
Can't install php-gd-5.3.10 because of libraries
|library X11.15.0 not found
| not found anywhere
|library Xpm.8.0 not found
| not found anywhere
|library freetype.18.1 not found
| not found anywhere
Direct dependencies for php-gd-5.3.10 resolve to php-5.3.10 png-1.5.6p0 t1lib-5.1.2 jpeg-8c
Full dependency tree is femail-chroot-0.98 libiconv-1.14 t1lib-5.1.2 gettext-0.18.1p1 jpeg-8c femail-0.98 php-5.3.10 png-1.5.6p0 libxml-2.7.8p4

Last edited by ocicat; 2nd August 2012 at 06:19 PM. Reason: Please use [code] & [/code] tags when posting command output!
Reply With Quote
 

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Drupal 7 released J65nko News 0 6th January 2011 08:32 PM
nspluginwrapper not work... marduk NetBSD Installation and Upgrading 4 3rd January 2011 10:23 PM
Drupal clarifies security rules after White-House gaper J65nko News 0 11th June 2010 05:51 AM
How - To install GNOME vile I install OpenBSD ? looop OpenBSD Installation and Upgrading 6 24th April 2010 08:58 PM
Upgrading Drupal 5.5 or clean install cwhitmore FreeBSD Ports and Packages 1 11th June 2008 07:35 AM


All times are GMT. The time now is 11:39 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick